Skip to content

NameFieldName⁠

Perform various operations for Symitar parameters.

Operations⁠

getNameFieldNameSelectFields⁠

POST

Execute the persistent ParameterService getNameFieldNameSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

NameFieldNameFieldintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getNameFieldNameSelectFields
POST /nexum/627/persistent/parameter/getNameFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "NameFieldNameField": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllNameFieldNameFields": true,
    "NameFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getNameFieldNamePagedListSelectFields⁠

POST

Execute the persistent ParameterService getNameFieldNamePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getNameFieldNamePagedListSelectFields
POST /nexum/627/persistent/parameter/getNameFieldNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllNameFieldNameFields": true,
    "NameFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchNameFieldNamePagedSelectFields⁠

POST

Execute the persistent ParameterService searchNameFieldNamePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchNameFieldNamePagedSelectFields
POST /nexum/627/persistent/parameter/searchNameFieldNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllNameFieldNameFields": true,
    "NameFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateNameFieldNameByID⁠

POST

Execute the persistent ParameterService updateNameFieldNameByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

NameFieldNameFieldintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateNameFieldNameByID
POST /nexum/627/persistent/parameter/updateNameFieldNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "NameFieldNameField": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "NameFieldNameFields": {
    "Field": 0,
    "FieldName": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}